| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csPoly2DFactory Class Reference
[Geometry utilities]

This factory is responsible for creating csPoly2D objects or subclasses of csPoly2D. More...

`#include <csgeom/poly2d.h>`

List of all members.

## Public Member Functions
virtual csPoly2D * | Create ()
| Create a poly2d.
virtual | ~csPoly2DFactory ()

## Detailed Description

This factory is responsible for creating csPoly2D objects or subclasses of csPoly2D.

To create a new factory which can create subclasses of csPoly2D you should create a subclass of this factory.

Definition at line 224 of file poly2d.h.

## Member Function Documentation

virtual csPoly2D* csPoly2DFactory::Create | ( |  | ) | `[inline, virtual]`

Create a poly2d.

Definition at line 235 of file poly2d.h.

Referenced by csPoly2DPool::Alloc().

The documentation for this class was generated from the following file:

- csgeom/poly2d.h